Update a user
Updates profile fields and optional institution membership demographics for a user in your integration’s institution. Partial updates are supported.
PATCH
/users/{id}Path parameters
idstringrequiredRequest body
requiredapplication/jsonfirstNamestringlastNamestringemailstring<email>imagestring<uri> | nullcodestringpreferredNamestringdateOfBirthstring<date>genderstringAllowed:
MALEFEMALEDIVERSEnationalitiesstring[]birthNamestringcountryOfBirthstringplaceOfBirthCitystringResponses
200Updated user
dataUserrequiredShow propertiesHide properties
idstringrequirednamestringrequiredemailstring<email>requiredimagestring | nullrequiredactivityStatusUserActivityStatusrequiredShow propertiesHide properties
isActivebooleanrequiredisActiveFromstring<date-time> | nullrequiredisActiveUntilstring<date-time> | nullrequiredmetaResponseMetarequiredShow propertiesHide properties
requestIdstringrequiredtimestampstring<date-time>requiredversionstringrequiredAllowed:
v4400Bad Request
typestringrequiredAllowed:
errorcodestringrequiredAllowed:
bad_requestunauthorizedforbiddenresource_not_foundconflictvalidation_failedidempotency_key_reusedrate_limit_exceededinternal_errortitlestringrequiredstatusintegerrequireddetailstringrequiredinstancestringerrorsobject[]Show propertiesHide properties
Array of
objectfieldstringmessagestring401Unauthorized
typestringrequiredAllowed:
errorcodestringrequiredAllowed:
bad_requestunauthorizedforbiddenresource_not_foundconflictvalidation_failedidempotency_key_reusedrate_limit_exceededinternal_errortitlestringrequiredstatusintegerrequireddetailstringrequiredinstancestringerrorsobject[]Show propertiesHide properties
Array of
objectfieldstringmessagestring404Not Found
typestringrequiredAllowed:
errorcodestringrequiredAllowed:
bad_requestunauthorizedforbiddenresource_not_foundconflictvalidation_failedidempotency_key_reusedrate_limit_exceededinternal_errortitlestringrequiredstatusintegerrequireddetailstringrequiredinstancestringerrorsobject[]Show propertiesHide properties
Array of
objectfieldstringmessagestring429Too Many Requests
typestringrequiredAllowed:
errorcodestringrequiredAllowed:
bad_requestunauthorizedforbiddenresource_not_foundconflictvalidation_failedidempotency_key_reusedrate_limit_exceededinternal_errortitlestringrequiredstatusintegerrequireddetailstringrequiredinstancestringerrorsobject[]Show propertiesHide properties
Array of
objectfieldstringmessagestring500Internal Server Error
typestringrequiredAllowed:
errorcodestringrequiredAllowed:
bad_requestunauthorizedforbiddenresource_not_foundconflictvalidation_failedidempotency_key_reusedrate_limit_exceededinternal_errortitlestringrequiredstatusintegerrequireddetailstringrequiredinstancestringerrorsobject[]Show propertiesHide properties
Array of
objectfieldstringmessagestringRequest
curl -X PATCH "https://fuxam.app/api/v4/users/string" \
-H "Content-Type: application/json" \
-d '{
"firstName": "Jane",
"lastName": "Doe",
"email": "jane@example.com",
"image": "<uri>",
"code": "STU-001",
"preferredName": "Alex",
"dateOfBirth": "1998-05-12",
"gender": "MALE",
"nationalities": [
"DE"
],
"birthName": "string",
"countryOfBirth": "string",
"placeOfBirthCity": "string"
}'const response = await fetch("https://fuxam.app/api/v4/users/string", {
method: "PATCH",
headers: {
"Content-Type": "application/json"
},
body: JSON.stringify({
"firstName": "Jane",
"lastName": "Doe",
"email": "jane@example.com",
"image": "<uri>",
"code": "STU-001",
"preferredName": "Alex",
"dateOfBirth": "1998-05-12",
"gender": "MALE",
"nationalities": [
"DE"
],
"birthName": "string",
"countryOfBirth": "string",
"placeOfBirthCity": "string"
})
});import requests
response = requests.patch(
"https://fuxam.app/api/v4/users/string",
headers={
"Content-Type": "application/json"
},
json={
"firstName": "Jane",
"lastName": "Doe",
"email": "jane@example.com",
"image": "<uri>",
"code": "STU-001",
"preferredName": "Alex",
"dateOfBirth": "1998-05-12",
"gender": "MALE",
"nationalities": [
"DE"
],
"birthName": "string",
"countryOfBirth": "string",
"placeOfBirthCity": "string"
},
)Response
{
"data": {
"id": "clx1234567890",
"name": "Jane Doe",
"email": "jane@example.com",
"image": "string",
"activityStatus": {
"isActive": true,
"isActiveFrom": "2026-01-01T00:00:00.000Z",
"isActiveUntil": "2024-01-01T00:00:00Z"
}
},
"meta": {
"requestId": "req_1234567890_abc",
"timestamp": "2026-06-02T07:00:00.000Z",
"version": "v4"
}
}{
"type": "error",
"code": "resource_not_found",
"title": "Not Found",
"status": 404,
"detail": "Course not found",
"instance": "req_1234567890_abc",
"errors": [
{
"field": "string",
"message": "string"
}
]
}{
"type": "error",
"code": "resource_not_found",
"title": "Not Found",
"status": 404,
"detail": "Course not found",
"instance": "req_1234567890_abc",
"errors": [
{
"field": "string",
"message": "string"
}
]
}{
"type": "error",
"code": "resource_not_found",
"title": "Not Found",
"status": 404,
"detail": "Course not found",
"instance": "req_1234567890_abc",
"errors": [
{
"field": "string",
"message": "string"
}
]
}{
"type": "error",
"code": "resource_not_found",
"title": "Not Found",
"status": 404,
"detail": "Course not found",
"instance": "req_1234567890_abc",
"errors": [
{
"field": "string",
"message": "string"
}
]
}{
"type": "error",
"code": "resource_not_found",
"title": "Not Found",
"status": 404,
"detail": "Course not found",
"instance": "req_1234567890_abc",
"errors": [
{
"field": "string",
"message": "string"
}
]
}